Subject: Re: [PATCH v4 00/15] config: make git_config_set die on failure

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Feb 2016 12:58:42 -0800

Patrick Steinhardt <[email-masked]> writes:

> Patrick Steinhardt (15):
>   config: introduce set_or_die wrappers
>   branch: die on error in setting up tracking branch
>   branch: die on config error when unsetting upstream
>   branch: die on config error when editing branch description
>   submodule: die on config error when linking modules
>   submodule--helper: die on config error when cloning module
>   remote: die on config error when setting URL
>   remote: die on config error when setting/adding branches
>   remote: die on config error when manipulating remotes
>   clone: die on config error in cmd_clone
>   init-db: die on config errors when initializing empty repo
>   sequencer: die on config error when saving replay opts
>   compat: die when unable to set core.precomposeunicode
>   config: rename git_config_set to git_config_set_gently
>   config: rename git_config_set_or_die to git_config_set

They mostly looked sensible; I commented on things that I noticed,
but I don't think I spotted anything that needs a huge fix.

Thanks.